Loading...
Searching...
No Matches
caf::typed_actor< Sigs > Class Template Reference

Identifies a statically typed actor. More...

`#include <typed_actor.hpp>`

Inheritance diagram for caf::typed_actor< Sigs >:

## Public Types

template<class... Es>
using | extend = typed_actor<Sigs..., Es...>
| Creates a new typed_actor type by extending this one with Es....
template<class... Ts>
using | extend_with
| Creates a new typed_actor type by extending this one with another typed_actor.
using | behavior_type = typed_behavior<Sigs...>
| Identifies the behavior type actors of this kind use for their behavior stack.
using | pointer = typed_event_based_actor<Sigs...>*
| Identifies pointers to instances of this kind of actor.
using | base = typed_event_based_actor<Sigs...>
| Identifies the base class for this kind of actor.
using | broker_pointer = io::typed_broker<Sigs...>*
| Identifies pointers to brokers implementing this interface.
using | broker_base = io::typed_broker<Sigs...>
| Identifies the base class of brokers implementing this interface.
using | signatures = detail::type_list<Sigs...>
| Stores the template parameter pack.
template<class State>
using | stateful_base = stateful_actor<State, base>
| Identifies the base class for this kind of actor with actor.
template<class State>
using | stateful_pointer = stateful_actor<State, base>*
| Identifies the base class for this kind of actor with actor.
template<class State>
using | stateful_broker_base
| Identifies the broker_base class for this kind of actor with actor.
template<class State>
using | stateful_broker_pointer
| Identifies the broker_base class for this kind of actor with actor.

## Public Member Functions

| typed_actor (typed_actor &&)=default
| typed_actor (const typed_actor &)=default
typed_actor & | operator= (typed_actor &&)=default
typed_actor & | operator= (const typed_actor &)=default
template<class... Ts>
| typed_actor (const typed_actor< Ts... > &other)
template<class T, class = detail::enable_if_t<actor_traits<T>::is_statically_typed>>
| typed_actor (T *ptr)
template<class... Ts>
typed_actor & | operator= (const typed_actor< Ts... > &other)
typed_actor & | operator= (std::nullptr_t)
| operator bool () const
| Queries whether this actor handle is valid.
bool | operator! () const
| Queries whether this actor handle is invalid.
actor_addr | address () const noexcept
| Queries the address of the stored actor.
actor_id | id () const noexcept
| Returns the ID of this actor.
node_id | node () const noexcept
| Returns the origin node of this actor.
actor_system & | home_system () const noexcept
| Returns the hosting actor system.
void | swap (typed_actor &other) noexcept
| Exchange content of *this and other.

## Static Public Attributes

static constexpr bool | has_weak_ptr_semantics = false

## Friends

class | local_actor
template<class>
class | data_processor
template<class>
class | detail::type_erased_value_impl
template<class, class, int>
class | actor_cast_access

## Related Symbols

(Note that these are not member symbols.)
template<class... Xs, class... Ys>
bool | operator== (const typed_actor< Xs... > &x, const typed_actor< Ys... > &y) noexcept
template<class... Xs, class... Ys>
bool | operator!= (const typed_actor< Xs... > &x, const typed_actor< Ys... > &y) noexcept
template<class... Xs>
bool | operator== (const typed_actor< Xs... > &x, std::nullptr_t) noexcept
template<class... Xs>
bool | operator== (std::nullptr_t, const typed_actor< Xs... > &x) noexcept
template<class... Xs>
bool | operator!= (const typed_actor< Xs... > &x, std::nullptr_t) noexcept
template<class... Xs>
bool | operator!= (std::nullptr_t, const typed_actor< Xs... > &x) noexcept
template<class... Xs, class... Ys>
composed_type_t< detail::type_list< Xs... >, detail::type_list< Ys... > > | operator* (typed_actor< Xs... > f, typed_actor< Ys... > g)
| Returns a new actor that implements the composition f.g(x) = f(g(x)).

## Detailed Description

template<class... Sigs>
class caf::typed_actor< Sigs >

Identifies a statically typed actor.

Template Parameters

  Sigs | Signature of this actor as replies_to<...>::with<...> parameter pack.

## Member Typedef Documentation

## extend_with

template<class... Sigs>
template<class... Ts>

using caf::typed_actor< Sigs >::extend_with

Initial value:
typename detail::extend_with_helper<typed_actor, Ts...>::type

Creates a new typed_actor type by extending this one with another typed_actor.

## stateful_broker_base

template<class... Sigs>
template<class State>

using caf::typed_actor< Sigs >::stateful_broker_base

Initial value:
stateful_actor<State, broker_base>
caf::stateful_actor
An event-based actor with managed state.
Definition stateful_actor.hpp:39

Identifies the broker_base class for this kind of actor with actor.

## stateful_broker_pointer

template<class... Sigs>
template<class State>

using caf::typed_actor< Sigs >::stateful_broker_pointer

Initial value:
stateful_actor<State, broker_base>*

Identifies the broker_base class for this kind of actor with actor.

The documentation for this class was generated from the following files:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/typed_actor_util.hpp
- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/typed_actor.hpp